<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.undertow.servlet-container.setting.websockets" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="buffer-pool,deflater-level,dispatch-to-worker,per-message-deflate,worker"/>
        <elem name="addr-params" value="profile,subsystem,servlet-container,setting"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.undertow.servlet-container.websocket.$servlet-container"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.undertow.byte-buffer-pool.$buffer-pool" optional="true"/>
        <capability name="$profile.org.wildfly.io.worker.$worker" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.undertow.servlet-container"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="dispatch-to-worker" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="deflater-level" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="servlet-container" feature-id="true"/>
        <param name="buffer-pool" nillable="true" default="default" stability="default"/>
        <param name="per-message-deflate" nillable="true" stability="default"/>
        <param name="worker" nillable="true" default="default" stability="default"/>
        <param name="setting" feature-id="true" default="websockets"/>
    </params>
</feature-spec>